# RPM Spec file for GGZ Gaming Zone common library
%define name libggz
%define version 0.0.6
%define release 2mdk

%define major 1

%define libname %name%{major}
%define libnamedev %name%{major}-devel

# Why did 0.0.5 build libggz.0.0.5, but 0.0.6 builds .1.0.0? Well,
# we'll use the developers' numbers.

# For SRPM only
Name: %{name}
Summary: Common library for the GGZ Gaming Zone
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games. This library provides features required
for running both clients and the server.

# Main package (contains *.so.[major].* only)
%package -n %{libname}
Summary:   Common library for running GGZ Gaming Zone applications
Group:     Games/Other

%description -n %{libname}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the shared library that provides features
required for running both clients and the server.

# Devel package (contains all but *.so.[major].*)
%package -n %{libnamedev}
Summary:   Common library used to build GGZ Gaming Zone applications
Group:     Games/Other
Provides:  %{libnamedev} = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}

%description -n %{libnamedev}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the libraries required for building both clients
and the server.

%prep

%setup

%build

%configure

%make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.GGZ QuickStart.GGZ

%{_libdir}/libggz.so.1.0.0
%{_libdir}/libggz.so.1

%files -n %{libnamedev}
%defattr(-,root,root)

%{_includedir}/ggz.h
%{_includedir}/ggz_common.h

%{_libdir}/libggz.a
%{_libdir}/libggz.la
%{_libdir}/libggz.so

%{_mandir}/man3/ggz.h.3.*

%changelog
* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (libggz1/libggz1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- First stab at a .spec file for the Gnu Gaming Zone common libraries
